Subject: Re: openpic/mac-io

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 19 Oct 2005 20:35:21 +1000

On Tue, 2005-10-18 at 21:22 +0200, i2a wrote:
> Hi, 
> 
> I am searching for documentation about the OpenPIC interrupt-controller in mac
> systems. I found this site but most of the links are dead or give no hope on
> real technical documentation :).
> http://www.macbsd.com/openmac/refs.html
> 
> Could someone give any pointers or files?
> 
> I am also searching for any related documentation on the mac-io device (this
> could be a combo document).
> 
> I am trying to do a port as a masters project, and my biggest problem is:
> documentation :(.

Another interesting bit of docs is MacTech.pdf (google for it) which
documents an early version of the mac-io chip that was used on some CHRP
machines.

In general, there is no complete documentation. I would say that the
linux source code is probably the best you can get in this regard.

Feel free to ask me questions about details

Ben.